Bug 47095 - mount_extfs_with_user_xattr.py and slave-sync are called in 26univention-samba.inst but do not exist
mount_extfs_with_user_xattr.py and slave-sync are called in 26univention-samb...
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Samba
UCS 4.3
Other Linux
: P5 normal (vote)
: UCS 4.3-1-errata
Assigned To: Felix Botner
Arvid Requate
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-05-28 17:03 CEST by Felix Botner
Modified: 2018-06-20 13:37 CEST (History)
0 users

See Also:
What kind of report is it?: Development Internal
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Botner univentionstaff 2018-05-28 17:03:43 CEST
collateral damage of Bug #46118 (ba5d18171b)
Comment 1 Felix Botner univentionstaff 2018-06-19 17:16:20 CEST
restored all previously installed "vampire" script to "scripts" directory

yaml: 36bae9c43953a09cea4bdcb394b5f24d7d724db7
univention-samba:948020be5815f157067747e30fe34447619b6da2
Comment 2 Arvid Requate univentionstaff 2018-06-19 19:36:24 CEST
Ok, "set_domain_sid" has not bee restored, but it's not particularly useful.


But these are also not used anywhere and potentially dangerous:
* scripts/remove-samba-account
* scripts/purge_users_and_groups
* scripts/fix_primary_groups
* scripts/set_default_settings
* scripts/change_sid
* scripts/set_account_policy_from_pdbedit
* scripts/slave-sync   (see Bug 23103)
* scripts/account-policy

And remove the slave-sync call from 26univention-samba.inst


So the only two that seem relevant to me are:
* scripts/password_check
* scripts/mount_extfs_with_user_xattr.py
Comment 3 Felix Botner univentionstaff 2018-06-20 10:21:53 CEST
fixed in univention-samba

07c60b1c28935ae0f39d012a6054aed64ace5629
c218105eb45db4b17d6d8578e9ce280ad53a1a6d
b4078e4eacf54d04adf7d96fbe120a51568e415e
Comment 4 Arvid Requate univentionstaff 2018-06-20 10:43:39 CEST
Ok
Comment 5 Arvid Requate univentionstaff 2018-06-20 13:37:35 CEST
<http://errata.software-univention.de/ucs/4.3/115.html>